# Monolog Datadog

Uses a Monolog handler to send Logs to Datadog without a Datadog agent. Also there's a processor that maps the log levels from Drupal to Datadogs log status.
Based on https://github.com/guspio/monolog-datadog and https://github.com/nohponex/monolog-datadog-handler/blob/master/src/DataDogHandler.php.

## Usage

`docroot/sites/default/logging.services.yml`

```yaml
parameters:
  monolog.channel_handlers:
    default: ['datadog']
    php: ['error_log', 'datadog']
services:
  monolog.handler.datadog:
    class: Drupal\monolog_datadog\Monolog\Handler\DatadogHandler
    arguments: [ 'EU', '@config.factory' ]
```

### API key

Set the API key in your `settings.php` like

```php
$config['monolog_datadog.settings']['api_key'] = 'yourSuperSecureAPIKey';
```